---
title: "Process Statistics Synchronization"
description: "batch sync flow data"
doc_type: openapi
doc_category: openapi
doc_version: v20270301
source_url:
  html: 'https://developer.shopline.com/docs/admin-rest-api/marketing/marketing-automation/process-statistics-synchronization'
  md: 'https://developer.shopline.com/docs/admin-rest-api/marketing/marketing-automation/process-statistics-synchronization.md'
---
# Process Statistics Synchronization

batch sync flow data

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `write_marketing_event`
- **API Version:** v20270301
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
POST /sales/flow/batch_sync_flow_data.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` .

## Required Permissions

* `write_marketing_event`

## Request

### Request Headers

* `Content-Type`

  string (required)

  The field must be set to the fixed value `application/json; charset=utf-8`.

* `Authorization`

  string (required)

   The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. 

### Request Body

* `app_key`

  string

  appKey

* `flow_data_list`

  array<object>

  Data list , max 100

  * `occurred_on`

    long

    Data time , millisecond time stamp

  * `order_amount`

    long

    Sales , unit division

  * `order_num`

    long

    Order qty

  * `send_count`

    long

    Number of send

  * `trigger_num`

    long

    Trigger count

  * `delete_flow_node_data_list`

    array<object>

    Process activity removed

    * `order_amount`

      long

      Sales , unit division

    * `bounce_rate`

      string

      Bounce back rate

    * `open_rate`

      string

      Opening rate

    * `parent_node_id`

      string

      Parent node id for sorting , merge show

    * `buyer_num`

      long

      Number of users ordered

    * `has_send_num`

      long

      Sent quantity

    * `occurred_on`

      long

      Data time , millisecond time stamp

    * `has_delivery_num`

      long

      Delivery quantity

    * `click_rate`

      string

      Click-through

    * `fail_rate`

      string

      Failure rate

    * `node_id`

      string

      Node id

    * `preview_image_url`

      string

      Preview picture url

    * `unsubscribe_rate`

      string

      The cancellation rate

    * `order_num`

      long

      Number of orders

  * `flow_id`

    string

    Process id

  * `flow_node_data_list`

    array<object>

    Sales

    * `fail_rate`

      string

      Failure rate

    * `parent_node_id`

      string

      Parent node id for sorting , merge show

    * `unsubscribe_rate`

      string

      The cancellation rate

    * `has_delivery_num`

      long

      Delivery quantity

    * `occurred_on`

      long

      Data time , millisecond time stamp

    * `order_amount`

      long

      Sales , unit division

    * `preview_image_url`

      string

      Preview picture url

    * `buyer_num`

      long

      Number of users ordered

    * `has_send_num`

      long

      Sent quantity

    * `node_id`

      string

      Node id

    * `open_rate`

      string

      Opening rate

    * `order_num`

      long

      Number of orders

    * `bounce_rate`

      string

      Bounce back rate

    * `click_rate`

      string

      Click-through

* `source_type`

  string

  Source type

* `store_id`

  string

  Store id

## Response

### Status Codes

* `200`

  For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).

* `401`

  

* `429`

  

### Response Headers

* `traceId`

  A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.

### Response Body

#### 200

_No response body_

#### 401

* `errors`

  string

  Error message. 


#### 429

* `errors`

  string

  Error message. 


## OpenAPI Definition

```json
{
  "description": "batch sync flow data",
  "externalDocs": {
    "description": "Permission point used by the interface is `write_marketing_event` , For more information about the use of permission points, see",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=en",
    "errorTableDescription": ""
  },
  "operationId": "JtKWEF83",
  "parameters": [
    {
      "name": "Content-Type",
      "in": "header",
      "description": "The field must be set to the fixed value `application/json; charset=utf-8`.",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": " The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. ",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": " The access token for the API. Please refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then put the obtained access token into the API request header in Bearer Token.",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "requestBody": {
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "properties": {
            "app_key": {
              "name": "app_key",
              "description": "appKey",
              "type": "string",
              "example": "ee89294e244543bd9422b446de9dece9cf0ea14e"
            },
            "flow_data_list": {
              "name": "flow_data_list",
              "description": "Data list , max 100",
              "type": "array",
              "items": {
                "name": "flow_data_list",
                "description": "Data list , max 100",
                "type": "object",
                "properties": {
                  "occurred_on": {
                    "name": "occurred_on",
                    "description": "Data time , millisecond time stamp",
                    "type": "long",
                    "example": 1672365600000
                  },
                  "order_amount": {
                    "name": "order_amount",
                    "description": "Sales , unit division",
                    "type": "long",
                    "example": 0
                  },
                  "order_num": {
                    "name": "order_num",
                    "description": "Order qty",
                    "type": "long",
                    "example": 0
                  },
                  "send_count": {
                    "name": "send_count",
                    "description": "Number of send",
                    "type": "long",
                    "example": 1
                  },
                  "trigger_num": {
                    "name": "trigger_num",
                    "description": "Trigger count",
                    "type": "long",
                    "example": 4
                  },
                  "delete_flow_node_data_list": {
                    "name": "delete_flow_node_data_list",
                    "description": "Process activity removed",
                    "type": "array",
                    "items": {
                      "name": "delete_flow_node_data_list",
                      "description": "Process activity removed",
                      "type": "object",
                      "properties": {
                        "order_amount": {
                          "name": "order_amount",
                          "description": "Sales , unit division",
                          "type": "long",
                          "example": 344
                        },
                        "bounce_rate": {
                          "name": "bounce_rate",
                          "description": "Bounce back rate",
                          "type": "string",
                          "example": "10"
                        },
                        "open_rate": {
                          "name": "open_rate",
                          "description": "Opening rate",
                          "type": "string",
                          "example": "4"
                        },
                        "parent_node_id": {
                          "name": "parent_node_id",
                          "description": "Parent node id for sorting , merge show",
                          "type": "string",
                          "example": "5a206848-5e7e-4e50-93de-01bb4d9c7ac5"
                        },
                        "buyer_num": {
                          "name": "buyer_num",
                          "description": "Number of users ordered",
                          "type": "long",
                          "example": 5
                        },
                        "has_send_num": {
                          "name": "has_send_num",
                          "description": "Sent quantity",
                          "type": "long",
                          "example": 5
                        },
                        "occurred_on": {
                          "name": "occurred_on",
                          "description": "Data time , millisecond time stamp",
                          "type": "long",
                          "example": 1672365600000
                        },
                        "has_delivery_num": {
                          "name": "has_delivery_num",
                          "description": "Delivery quantity",
                          "type": "long",
                          "example": 5
                        },
                        "click_rate": {
                          "name": "click_rate",
                          "description": "Click-through",
                          "type": "string",
                          "example": "56.6"
                        },
                        "fail_rate": {
                          "name": "fail_rate",
                          "description": "Failure rate",
                          "type": "string",
                          "example": "0"
                        },
                        "node_id": {
                          "name": "node_id",
                          "description": "Node id",
                          "type": "string",
                          "example": "5a206848-5e7e-4e50-93de-01bb4d9c7ac5"
                        },
                        "preview_image_url": {
                          "name": "preview_image_url",
                          "description": "Preview picture url",
                          "type": "string",
                          "example": ""
                        },
                        "unsubscribe_rate": {
                          "name": "unsubscribe_rate",
                          "description": "The cancellation rate",
                          "type": "string",
                          "example": "0"
                        },
                        "order_num": {
                          "name": "order_num",
                          "description": "Number of orders",
                          "type": "long",
                          "example": 5
                        }
                      },
                      "required": [
                        "buyer_num",
                        "has_delivery_num",
                        "has_send_num",
                        "node_id",
                        "occurred_on",
                        "order_amount",
                        "order_num"
                      ],
                      "example": {
                        "open_rate": "4",
                        "fail_rate": "0",
                        "order_num": 5,
                        "click_rate": "56.6",
                        "has_send_num": 5,
                        "preview_image_url": "",
                        "buyer_num": 5,
                        "order_amount": 344,
                        "has_delivery_num": 5,
                        "occurred_on": 1672365600000,
                        "unsubscribe_rate": "0",
                        "bounce_rate": "10",
                        "node_id": "5a206848-5e7e-4e50-93de-01bb4d9c7ac5",
                        "parent_node_id": "5a206848-5e7e-4e50-93de-01bb4d9c7ac5"
                      }
                    },
                    "example": [
                      {
                        "click_rate": "56.6",
                        "order_num": 5,
                        "parent_node_id": "5a206848-5e7e-4e50-93de-01bb4d9c7ac5",
                        "buyer_num": 5,
                        "fail_rate": "0",
                        "unsubscribe_rate": "0",
                        "has_delivery_num": 5,
                        "node_id": "5a206848-5e7e-4e50-93de-01bb4d9c7ac5",
                        "preview_image_url": "",
                        "bounce_rate": "10",
                        "has_send_num": 5,
                        "occurred_on": 1672365600000,
                        "open_rate": "4",
                        "order_amount": 344
                      }
                    ]
                  },
                  "flow_id": {
                    "name": "flow_id",
                    "description": "Process id",
                    "type": "string",
                    "example": "5598349859474639045"
                  },
                  "flow_node_data_list": {
                    "name": "flow_node_data_list",
                    "description": "Sales",
                    "type": "array",
                    "items": {
                      "name": "flow_node_data_list",
                      "description": "Sales",
                      "type": "object",
                      "properties": {
                        "fail_rate": {
                          "name": "fail_rate",
                          "description": "Failure rate",
                          "type": "string",
                          "example": "80"
                        },
                        "parent_node_id": {
                          "name": "parent_node_id",
                          "description": "Parent node id for sorting , merge show",
                          "type": "string",
                          "example": "5a206848-5e7e-4e50-93de-01bb4d9c7ac5"
                        },
                        "unsubscribe_rate": {
                          "name": "unsubscribe_rate",
                          "description": "The cancellation rate",
                          "type": "string",
                          "example": "0"
                        },
                        "has_delivery_num": {
                          "name": "has_delivery_num",
                          "description": "Delivery quantity",
                          "type": "long",
                          "example": 3
                        },
                        "occurred_on": {
                          "name": "occurred_on",
                          "description": "Data time , millisecond time stamp",
                          "type": "long",
                          "example": 1672365600000
                        },
                        "order_amount": {
                          "name": "order_amount",
                          "description": "Sales , unit division",
                          "type": "long",
                          "example": 220
                        },
                        "preview_image_url": {
                          "name": "preview_image_url",
                          "description": "Preview picture url",
                          "type": "string",
                          "example": "https://kmalgo.oss-ap-southeast-1.aliyuncs.com/material_ec2/2022-09-24/be7a1b5b947d47529c97bc78de6b"
                        },
                        "buyer_num": {
                          "name": "buyer_num",
                          "description": "Number of users ordered",
                          "type": "long",
                          "example": 4
                        },
                        "has_send_num": {
                          "name": "has_send_num",
                          "description": "Sent quantity",
                          "type": "long",
                          "example": 3
                        },
                        "node_id": {
                          "name": "node_id",
                          "description": "Node id",
                          "type": "string",
                          "example": "5a206848-5e7e-4e50-93de-01bb4d9c7ac5"
                        },
                        "open_rate": {
                          "name": "open_rate",
                          "description": "Opening rate",
                          "type": "string",
                          "example": "3"
                        },
                        "order_num": {
                          "name": "order_num",
                          "description": "Number of orders",
                          "type": "long",
                          "example": 4
                        },
                        "bounce_rate": {
                          "name": "bounce_rate",
                          "description": "Bounce back rate",
                          "type": "string",
                          "example": "3"
                        },
                        "click_rate": {
                          "name": "click_rate",
                          "description": "Click-through",
                          "type": "string",
                          "example": "80"
                        }
                      },
                      "required": [
                        "buyer_num",
                        "has_delivery_num",
                        "has_send_num",
                        "node_id",
                        "occurred_on",
                        "order_amount",
                        "order_num"
                      ],
                      "example": {
                        "order_num": 4,
                        "preview_image_url": "https://kmalgo.oss-ap-southeast-1.aliyuncs.com/material_ec2/2022-09-24/be7a1b5b947d47529c97bc78de6b",
                        "unsubscribe_rate": "0",
                        "bounce_rate": "3",
                        "has_delivery_num": 3,
                        "has_send_num": 3,
                        "order_amount": 220,
                        "click_rate": "80",
                        "parent_node_id": "5a206848-5e7e-4e50-93de-01bb4d9c7ac5",
                        "buyer_num": 4,
                        "occurred_on": 1672365600000,
                        "open_rate": "3",
                        "fail_rate": "80",
                        "node_id": "5a206848-5e7e-4e50-93de-01bb4d9c7ac5"
                      }
                    },
                    "example": [
                      {
                        "unsubscribe_rate": "0",
                        "buyer_num": 4,
                        "fail_rate": "80",
                        "click_rate": "80",
                        "has_delivery_num": 3,
                        "bounce_rate": "3",
                        "has_send_num": 3,
                        "parent_node_id": "5a206848-5e7e-4e50-93de-01bb4d9c7ac5",
                        "node_id": "5a206848-5e7e-4e50-93de-01bb4d9c7ac5",
                        "preview_image_url": "https://kmalgo.oss-ap-southeast-1.aliyuncs.com/material_ec2/2022-09-24/be7a1b5b947d47529c97bc78de6b",
                        "order_num": 4,
                        "occurred_on": 1672365600000,
                        "open_rate": "3",
                        "order_amount": 220
                      }
                    ]
                  }
                },
                "required": [
                  "flow_id",
                  "occurred_on",
                  "order_amount",
                  "order_num",
                  "send_count",
                  "trigger_num"
                ],
                "example": {
                  "flow_id": "5598349859474639045",
                  "flow_node_data_list": [
                    {
                      "bounce_rate": "3",
                      "has_delivery_num": 3,
                      "open_rate": "3",
                      "parent_node_id": "5a206848-5e7e-4e50-93de-01bb4d9c7ac5",
                      "buyer_num": 4,
                      "click_rate": "80",
                      "preview_image_url": "https://kmalgo.oss-ap-southeast-1.aliyuncs.com/material_ec2/2022-09-24/be7a1b5b947d47529c97bc78de6b",
                      "unsubscribe_rate": "0",
                      "has_send_num": 3,
                      "node_id": "5a206848-5e7e-4e50-93de-01bb4d9c7ac5",
                      "fail_rate": "80",
                      "order_amount": 220,
                      "occurred_on": 1672365600000,
                      "order_num": 4
                    }
                  ],
                  "occurred_on": 1672365600000,
                  "order_amount": 0,
                  "order_num": 0,
                  "send_count": 1,
                  "trigger_num": 4,
                  "delete_flow_node_data_list": [
                    {
                      "open_rate": "4",
                      "order_num": 5,
                      "has_send_num": 5,
                      "bounce_rate": "10",
                      "unsubscribe_rate": "0",
                      "buyer_num": 5,
                      "occurred_on": 1672365600000,
                      "order_amount": 344,
                      "node_id": "5a206848-5e7e-4e50-93de-01bb4d9c7ac5",
                      "preview_image_url": "",
                      "has_delivery_num": 5,
                      "parent_node_id": "5a206848-5e7e-4e50-93de-01bb4d9c7ac5",
                      "fail_rate": "0",
                      "click_rate": "56.6"
                    }
                  ]
                }
              },
              "example": [
                {
                  "delete_flow_node_data_list": [
                    {
                      "order_num": 5,
                      "has_delivery_num": 5,
                      "bounce_rate": "10",
                      "fail_rate": "0",
                      "has_send_num": 5,
                      "occurred_on": 1672365600000,
                      "order_amount": 344,
                      "buyer_num": 5,
                      "click_rate": "56.6",
                      "node_id": "5a206848-5e7e-4e50-93de-01bb4d9c7ac5",
                      "open_rate": "4",
                      "parent_node_id": "5a206848-5e7e-4e50-93de-01bb4d9c7ac5",
                      "preview_image_url": "",
                      "unsubscribe_rate": "0"
                    }
                  ],
                  "flow_id": "5598349859474639045",
                  "flow_node_data_list": [
                    {
                      "unsubscribe_rate": "0",
                      "buyer_num": 4,
                      "click_rate": "80",
                      "bounce_rate": "3",
                      "node_id": "5a206848-5e7e-4e50-93de-01bb4d9c7ac5",
                      "fail_rate": "80",
                      "has_delivery_num": 3,
                      "occurred_on": 1672365600000,
                      "preview_image_url": "https://kmalgo.oss-ap-southeast-1.aliyuncs.com/material_ec2/2022-09-24/be7a1b5b947d47529c97bc78de6b",
                      "has_send_num": 3,
                      "open_rate": "3",
                      "parent_node_id": "5a206848-5e7e-4e50-93de-01bb4d9c7ac5",
                      "order_amount": 220,
                      "order_num": 4
                    }
                  ],
                  "occurred_on": 1672365600000,
                  "order_amount": 0,
                  "order_num": 0,
                  "send_count": 1,
                  "trigger_num": 4
                }
              ]
            },
            "source_type": {
              "name": "source_type",
              "description": "Source type",
              "type": "string",
              "example": "smartpush-app"
            },
            "store_id": {
              "name": "store_id",
              "description": "Store id",
              "type": "string",
              "example": "1658921299465"
            }
          },
          "required": [
            "app_key",
            "flow_data_list",
            "source_type",
            "store_id"
          ],
          "example": {
            "source_type": "smartpush-app",
            "store_id": "1658921299465",
            "app_key": "ee89294e244543bd9422b446de9dece9cf0ea14e",
            "flow_data_list": [
              {
                "occurred_on": 1672365600000,
                "order_amount": 0,
                "order_num": 0,
                "send_count": 1,
                "trigger_num": 4,
                "delete_flow_node_data_list": [
                  {
                    "node_id": "5a206848-5e7e-4e50-93de-01bb4d9c7ac5",
                    "buyer_num": 5,
                    "occurred_on": 1672365600000,
                    "preview_image_url": "",
                    "bounce_rate": "10",
                    "fail_rate": "0",
                    "order_amount": 344,
                    "unsubscribe_rate": "0",
                    "open_rate": "4",
                    "has_delivery_num": 5,
                    "has_send_num": 5,
                    "order_num": 5,
                    "parent_node_id": "5a206848-5e7e-4e50-93de-01bb4d9c7ac5",
                    "click_rate": "56.6"
                  }
                ],
                "flow_id": "5598349859474639045",
                "flow_node_data_list": [
                  {
                    "node_id": "5a206848-5e7e-4e50-93de-01bb4d9c7ac5",
                    "fail_rate": "80",
                    "has_send_num": 3,
                    "occurred_on": 1672365600000,
                    "order_amount": 220,
                    "unsubscribe_rate": "0",
                    "click_rate": "80",
                    "order_num": 4,
                    "parent_node_id": "5a206848-5e7e-4e50-93de-01bb4d9c7ac5",
                    "preview_image_url": "https://kmalgo.oss-ap-southeast-1.aliyuncs.com/material_ec2/2022-09-24/be7a1b5b947d47529c97bc78de6b",
                    "bounce_rate": "3",
                    "buyer_num": 4,
                    "has_delivery_num": 3,
                    "open_rate": "3"
                  }
                ]
              }
            ]
          }
        },
        "examples": {
          "Sync statistics to flow": {
            "value": {
              "source_type": "smartpush-app",
              "store_id": "1658921299465",
              "app_key": "ee89294e244543bd9422b446de9dece9cf0ea14e",
              "flow_data_list": [
                {
                  "occurred_on": "1672365600000",
                  "order_amount": "0",
                  "order_num": "0",
                  "send_count": "1",
                  "trigger_num": "4",
                  "delete_flow_node_data_list": [
                    {
                      "fail_rate": "0",
                      "bounce_rate": "0",
                      "order_num": "2",
                      "occurred_on": "1672365600000",
                      "order_amount": "200",
                      "buyer_num": "100",
                      "has_delivery_num": "12",
                      "node_id": "1ec9a4a4-8a0c-459d-8214-8347eff24270",
                      "open_rate": "0.9",
                      "unsubscribe_rate": "0",
                      "click_rate": "0.2",
                      "has_send_num": "12"
                    }
                  ],
                  "flow_id": "6062082672162813673",
                  "flow_node_data_list": [
                    {
                      "has_send_num": "1",
                      "open_rate": "3",
                      "order_amount": "0",
                      "preview_image_url": "https://kmalgo.oss-ap-southeast-1.aliyuncs.com/material_ec2/2022-09-24/be7a1b5b947d47529c97bc78de6b",
                      "click_rate": "0",
                      "occurred_on": "1672365600000",
                      "bounce_rate": "0",
                      "buyer_num": "0",
                      "node_id": "5a206848-5e7e-4e50-93de-01bb4d9c7ac5",
                      "unsubscribe_rate": "0",
                      "has_delivery_num": "1",
                      "order_num": "0"
                    }
                  ]
                }
              ]
            }
          }
        }
      }
    },
    "required": true
  },
  "responses": {
    "200": {
      "description": "For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).",
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "examples": {
            "Sync statistics to flow": {
              "value": {}
            }
          }
        }
      }
    },
    "401": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    },
    "429": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    }
  },
  "security": [
    {
      "oauth2": []
    }
  ],
  "method": "post",
  "path": "/sales/flow/batch_sync_flow_data.json",
  "servers": [
    {
      "url": "https://{handle}.myshopline.com/admin/openapi",
      "variables": {
        "handle": {
          "default": "openapiceshidianpu",
          "description": "`handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` ."
        }
      }
    }
  ],
  "info": {
    "title": "Process Statistics Synchronization",
    "version": "v20270301"
  },
  "authIndexes": [
    "write_marketing_event"
  ]
}
```